# Path to the folder containing uninstallers
$uninstallersPath = "C:\Program Files\Softube\Plug-Ins 64-bit"

# Get all .exe files in the folder (NSIS uninstallers)
$uninstallers = Get-ChildItem -Path $uninstallersPath -Filter *.exe -File

foreach ($uninstaller in $uninstallers) {
    $fullPath = $uninstaller.FullName
    Write-Host "Uninstalling $($uninstaller.Name) started: $(Get-Date)"

    try {
        # NSIS supports silent uninstall with the /S parameter
        Start-Process -FilePath $fullPath -ArgumentList "/S" -Wait
        Write-Host "Uninstalled: $($uninstaller.Name)"
    } catch {
        Write-Host "❌ Error uninstalling: $($uninstaller.Name)" -ForegroundColor Red
    }
}

Write-Host "`nAll uninstallations completed."
Read-Host -Prompt "Press Enter to exit"